Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Kan geen extra stuurprogramma inschakelen  (gelezen 3542 keer)

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Kan geen extra stuurprogramma inschakelen
« Gepost op: 2012/03/09, 17:08:09 »
Ik wil een niet vrije stuurprogramma FGRLX van ATI/ADM inschakelen.
Maar dat lukt me niet.
Hoe moet ik dit oplossen ?


3D-ondersteund, niet-vrij grafisch stuurprogramma voor ATI-kaarten
Dit stuurprogramma is vereist om de 3D-mogelijkheid van grafische kaarten van ATI te benutten en ook voor de 2D-versnelling bij nieuwere ATI-kaarten.
« Laatst bewerkt op: 2012/03/10, 11:32:02 door arthur2708 »
You gotta be hungry !

Offline MauRice2

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #1 Gepost op: 2012/03/09, 20:55:36 »
Arthur,

Handig als je ook het type van je ATi-kaart meegeef en wel versie van *buntu.
MvG,
MauRice
Registered Linux user: 473556

Offline extremebiker

  • Lid
    • lannotte
    • ubuntu steunpunt kerkrade
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #2 Gepost op: 2012/03/10, 10:14:15 »
Okee, hier komt het:

Ubuntu en Mint hebben standaard de oude ATI/Nvidia drivers.
Als je de nieuwste drivers wilt hebben kan dat op de onderstaande manier.
Let op: Het  blijft altijd een risico om vreemde PPA's toe te voegen, deze worden namelijk niet officieel ondersteund door Ubuntu!
Gebruik dit dus geheel op eigen verantwoording.

Voor de laatste nvidia binary driver:
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current nvidia-current-modaliases nvidia-settings

Voor de laatste ATI binary driver:
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install fglrx

Daarna restart uw computer.

Hoe installeer je ATI Catalyst 11.5 / FGRLX 8.5 in Ubuntu 11.04 (of in Mint 11)

Als je al een oudere versie hebt geïnstalleerd, dan moeten we deze eerst verwijderen, voordat we een nieuwere installeren. Dat doen we met dit volgend commando in de terminal:
sudo apt-get remove --purge fglrx*
Daarna download je de driver van de AMD server. Laten we ervan uitgaan dat je de map Downloads wilt gebruiken, we downloaden dus in ~/Downloads/ati.

mkdir ~/Downloads/ati
cd  ~/Downloads/ati
wget http://www2.ati.com/drivers/linux/ati-driver-installer-11-5-x86.x86_64.run

Nu bouwen we het .deb pakket met het commando:
sudo sh ati-driver-installer-11-5-x86.x86_64.run --buildpkg Ubuntu/natty
Het bovenstaande commando heeft 3 .deb pakketjes gebouwd. Die installeren we met het commando:
sudo dpkg -i *deb
Na de installatie voer je het volgende commando uit om je ATI kaart te detecteren.
sudo aticonfig --initial -f
Restart je systeem en nu zou fglrx moeten lopen.
Als je hardware, switchable graphics support, dan kun je je catalyst driver gebruiken om te kiezen tussen je ATI highperformence kaart of de zuinige intel chipset. (Dit geldt alleen voor laptops.)

Het lijkt moeilijker dan het is. Als je wilt dat het in een keer goed gaat, dan kopieer je de commando's via je muis en plak je ze in de terminal. Op deze manier weet je zeker dat er geen foutje instaat.

(in de nieuwsbrief stonden ook foto's van het hele gebeuren, die heb ik nu even niet erin gezet. Let er verder op met welke versie Ubuntu je werkt, want dat geef je niet aan. Omdat deze installatie gebaseerd is op Ubuntu 11.04 of Mint 11)
Als je in het 2e gedeelte de handmatige installatie  "ati-driver-installer-11-5-x86.x86_64.run"  vervangt door "amd-driver-installer-12-2-x86.x86_64.run" heb je de laatste nieuwe versie 12.2
« Laatst bewerkt op: 2012/03/10, 10:17:33 door extremebiker »
Ubuntu Steunpunt Kerkrade
bezoek ubuntu steunpunt kerkrade

Offline extremebiker

  • Lid
    • lannotte
    • ubuntu steunpunt kerkrade
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #3 Gepost op: 2012/03/10, 10:31:21 »
Dat kan kloppen, aangezien mijn handleiding al weer van de nieuwsbrief van september 2011 is.
Dat kan kloppen, aangezien mijn handleiding al weer van de nieuwsbrief van september 2011 is.
Ik heb hem wel al aangepast op mijn webstek. kijk maar hier https://sites.google.com/site/ubuntusteunpuntkerkrade/ati-of-nvidia-installeren

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #4 Gepost op: 2012/03/10, 11:02:12 »

Ik heb de volgende commando's gebruikt:
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install fglrx

Computer heb ik herstart.

GEPROBEERD om het in te schakelen.
Maar kreeg weer een foutmelding.
Namelijk :
2012-03-10 11:29:49,158 WARNING: /sys/module/fglrx/drivers does not exist, cannot rebind fglrx driver
2012-03-10 11:29:49,158 ERROR: XorgDriverHandler.enable(): package or module not installed, aborting
2012-03-10 11:30:06,698 DEBUG: fglrx.enabled(fglrx): target_alt /usr/lib/fglrx/ld.so.conf current_alt /usr/lib/fglrx/ld.so.conf other target alt /usr/lib/fglrx/alt_ld.so.conf other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-03-10 11:30:06,698 DEBUG: XorgDriverHandler(%s, %s).enabled(): No X.org driver set, not checking
2012-03-10 11:30:06,738 DEBUG: fglrx.enabled(fglrx): target_alt /usr/lib/fglrx/ld.so.conf current_alt /usr/lib/fglrx/ld.so.conf other target alt /usr/lib/fglrx/alt_ld.so.conf other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-03-10 11:30:06,738 DEBUG: XorgDriverHandler(%s, %s).enabled(): No X.org driver set, not checking
« Laatst bewerkt op: 2012/03/10, 11:33:28 door arthur2708 »
You gotta be hungry !

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #5 Gepost op: 2012/03/10, 12:52:00 »
Ik wil een niet vrije stuurprogramma FGRLX van ATI/ADM inschakelen. Maar dat lukt me niet.
Zou je ook nog kunnen vermelden, op welke wijze je deze niet vrije stuurprogramma probeerde te installeren. Deed je dat via Extra stuurprogramma's. Zie onderstaande afbeelding. Waarvan je de FGLRX van ATI/AMD zou kunnen installeren. Deze had ik hier met succes voor mijn HD 6950  kunnen installeren.

Omdat het bij jouw niet lukt, denk ik dat je die FGLRX (Posrt-release updates) hebt proberen te installeren. Deze mislukt bij mij ook. Dan krijg ik de volgende melding: Excuses, de installatie van dit stuurprogramma is mislukt. Kijk in het logboek voor details:/var/log/jockey Het gaat waarschijnlijk om deze bug https://bugs.launchpad.net/ubuntu/+source/jockey/+bug/870560

Maar het merkwaardige is, dat ondanks deze FGLRX (Posrt-release updates) bij mij is mislukt in Ubuntu 11.10 64 bit, deze toch lijkt te werken. Zie bijvoorbeeld deze output
jolo@Hoofd-PC:~$ dmesg | grep fglrx
[    4.084584] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[    4.124068] [fglrx] Maximum main memory to use for locked dma buffers: 7743 MBytes.
[    4.124161] [fglrx]   vendor: 1002 device: 6719 count: 1
[    4.125125] [fglrx] ioport: bar 4, base 0xe000, size: 0x100
[    4.125516] [fglrx] Kernel PAT support is enabled
[    4.125532] [fglrx] module loaded - fglrx 8.91.4 [Oct 25 2011] with 1 minors
[    6.293326] fglrx_pci 0000:01:00.0: irq 66 for MSI/MSI-X
[    6.293699] [fglrx] Firegl kernel thread PID: 1235
[    6.293806] [fglrx] Firegl kernel thread PID: 1236
[    6.293914] [fglrx] Firegl kernel thread PID: 1237
[    6.293979] [fglrx] IRQ 66 Enabled
[    6.445814] [fglrx] Gart USWC size:1279 M.
[    6.445817] [fglrx] Gart cacheable size:508 M.
[    6.445819] [fglrx] Reserved FB block: Shared offset:0, size:1000000
[    6.445821] [fglrx] Reserved FB block: Unshared offset:f8ff000, size:401000
[    6.445822] [fglrx] Reserved FB block: Unshared offset:3fff4000, size:c000
[  114.290539] [fglrx] IRQ 66 Disabled
[  114.755264] fglrx_pci 0000:01:00.0: irq 66 for MSI/MSI-X
[  114.755999] [fglrx] Firegl kernel thread PID: 2154
[  114.756137] [fglrx] Firegl kernel thread PID: 2155
[  114.756276] [fglrx] Firegl kernel thread PID: 2156
[  114.756391] [fglrx] IRQ 66 Enabled
[  114.917801] [fglrx] Gart USWC size:1279 M.
[  114.917804] [fglrx] Gart cacheable size:508 M.
[  114.917806] [fglrx] Reserved FB block: Shared offset:0, size:1000000
[  114.917808] [fglrx] Reserved FB block: Unshared offset:f8ff000, size:401000
[  114.917809] [fglrx] Reserved FB block: Unshared offset:3fff4000, size:c000
[  271.103593] [fglrx] IRQ 66 Disabled
[  271.572661] fglrx_pci 0000:01:00.0: irq 66 for MSI/MSI-X
[  271.573333] [fglrx] Firegl kernel thread PID: 3049
[  271.573386] [fglrx] Firegl kernel thread PID: 3050
[  271.573436] [fglrx] Firegl kernel thread PID: 3051
[  271.573554] [fglrx] IRQ 66 Enabled
[  271.728857] [fglrx] Gart USWC size:1279 M.
[  271.728859] [fglrx] Gart cacheable size:508 M.
[  271.728862] [fglrx] Reserved FB block: Shared offset:0, size:1000000
[  271.728863] [fglrx] Reserved FB block: Unshared offset:f8ff000, size:401000
[  271.728864] [fglrx] Reserved FB block: Unshared offset:3fff4000, size:c000
jolo@Hoofd-PC:~$
En ik nu met succes kan inloggen op Gnome Shell. Overigens had ik alvorens die FGLRX (Posrt-release updates) te installeren, eerst die FGLRX van ATI/AMD verwijderd.

 
Hoofd PC september 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Ubuntu 14.04
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM
Test pc's AthlonXP 1700+ PC 1,5 GB RAM nVidia 7600GS en Dual P3 1000 MHz 1 GB RAM X1650Pro

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #6 Gepost op: 2012/03/10, 13:01:38 »
Ik probeer het ook via extra stuurprogramma te installeren in Ubuntu 11.10 32bit

artvds2708@artvds2708:~$ dmesg | grep fglrx
artvds2708@artvds2708:~$

Ik krijg dus helemaal geen output.
Wat mis ik toch ??

Extra info:
Processor : Intel® Core™ i3 CPU 550 @ 3.20GHz × 4
Grafisch : VESA REDWOOD
You gotta be hungry !

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #7 Gepost op: 2012/03/10, 13:14:00 »
Net alles opnieuw geinstalleerd zoals volgens de handleiding.
En nog gebeurd er niets.

artvds2708@artvds2708:~$ dmesg | grep fglrx
artvds2708@artvds2708:~$
You gotta be hungry !

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #8 Gepost op: 2012/03/10, 13:28:02 »
Wellicht zou je dan beter de output kunnen posten van
lspci | grep VGA [Enter] om te zien, hoe je videokaart wordt herkend.
 
Hoofd PC september 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Ubuntu 14.04
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM
Test pc's AthlonXP 1700+ PC 1,5 GB RAM nVidia 7600GS en Dual P3 1000 MHz 1 GB RAM X1650Pro

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #9 Gepost op: 2012/03/10, 13:29:20 »
Ik heb een hele andere lijst onder het kopje 3D staan.
You gotta be hungry !

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #10 Gepost op: 2012/03/10, 13:29:52 »
artvds2708@artvds2708:~$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD 5670]
artvds2708@artvds2708:~$
You gotta be hungry !

Offline extremebiker

  • Lid
    • lannotte
    • ubuntu steunpunt kerkrade
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #11 Gepost op: 2012/03/10, 13:30:59 »

Ik heb de volgende commando's gebruikt:
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install fglrx

Computer heb ik herstart.

GEPROBEERD om het in te schakelen.
Maar kreeg weer een foutmelding.
Namelijk :
2012-03-10 11:29:49,158 WARNING: /sys/module/fglrx/drivers does not exist, cannot rebind fglrx driver
2012-03-10 11:29:49,158 ERROR: XorgDriverHandler.enable(): package or module not installed, aborting
2012-03-10 11:30:06,698 DEBUG: fglrx.enabled(fglrx): target_alt /usr/lib/fglrx/ld.so.conf current_alt /usr/lib/fglrx/ld.so.conf other target alt /usr/lib/fglrx/alt_ld.so.conf other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-03-10 11:30:06,698 DEBUG: XorgDriverHandler(%s, %s).enabled(): No X.org driver set, not checking
2012-03-10 11:30:06,738 DEBUG: fglrx.enabled(fglrx): target_alt /usr/lib/fglrx/ld.so.conf current_alt /usr/lib/fglrx/ld.so.conf other target alt /usr/lib/fglrx/alt_ld.so.conf other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-03-10 11:30:06,738 DEBUG: XorgDriverHandler(%s, %s).enabled(): No X.org driver set, not checking

Deze hab je moeten hebben


Hebt u al een oudere versie van ATI/Nvidia geinstalleerd volg deze stap

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get upgrade

want je had geprobeerd de oude eerst te installeren.

Kijk hier https://sites.google.com/site/ubuntusteunpuntkerkrade/ati-of-nvidia-installeren

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #12 Gepost op: 2012/03/10, 13:32:01 »
Je hebt wel 11.10 zie ik.
Dan moet je wel deze doen:

Als je in het 2e gedeelte de handmatige installatie  "ati-driver-installer-11-5-x86.x86_64.run"  vervangt door "amd-driver-installer-12-2-x86.x86_64.run" heb je de laatste nieuwe versie 12.2

Heb je dat wel gedaan?

Ik heb dit gedaan :
Voor de laatste nvidia binary driver

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current nvidia-current-modaliases nvidia-settings

Edit :
Net weer even geprobeerd.
kreeg weer een foutmelding.

2012-03-10 13:44:28,505 DEBUG: XorgDriverHandler(%s, %s).enabled(): No X.org driver set, not checking
2012-03-10 13:44:28,545 DEBUG: fglrx.enabled(fglrx): target_alt /usr/lib/fglrx/ld.so.conf current_alt /usr/lib/fglrx/ld.so.conf other target alt /usr/lib/fglrx/alt_ld.so.conf other current alt /usr/lib/fglrx/alt_ld.so.conf
2012-03-10 13:44:28,545 DEBUG: XorgDriverHandler(%s, %s).enabled(): No X.org driver set, not checking



« Laatst bewerkt op: 2012/03/10, 13:46:27 door arthur2708 »
You gotta be hungry !

Offline koos4401

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #13 Gepost op: 2012/03/10, 13:58:45 »
Waarom begint Arthur 2708 over ATI:
Citaat
Ik wil een niet vrije stuurprogramma FGRLX van ATI/ADM inschakelen.
en is zijn laatste post, #21,  over nvidia-drivers?
Citaat
Ik heb dit gedaan :
Voor de laatste nvidia binary driver
Zo wordt het nooit wat!!

{Franse auto's laten zich slecht repareren met italiaanse onderdelen, en omgekeerd}
« Laatst bewerkt op: 2012/03/10, 14:04:14 door koos4401 »
Op 27-okt-2009 om 08.20 GMT geregistreerd als gebruiker nr.: 498523

Offline koos4401

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #14 Gepost op: 2012/03/10, 20:10:08 »
En nou maar hopen dat 'ie wakker is geworden :rolleyes:
Op 27-okt-2009 om 08.20 GMT geregistreerd als gebruiker nr.: 498523

Offline arthur2708

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #15 Gepost op: 2012/03/11, 09:34:59 »
Ati geinstalleerd volgens handleiding...alweer.
En weer een error:
Instellen van fglrx-amdcccle (2:8.950-0ubuntu1) ...
Instellen van fglrx-dev (2:8.950-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.0.0-14-generic
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Fouten gevonden tijdens behandelen van:
 fglrx-amdcccle_8.850-0ubuntu1_i386.deb
artvds2708@artvds2708:~/Downloads/ati$ sudo aticonfig --initial -f
sudo: aticonfig: command not found
You gotta be hungry !

Offline jan11000

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #16 Gepost op: 2012/03/11, 11:41:58 »
sudo aticonfig --initial -f

Probeer onderstaande eens:
sudo ./aticonfig --initial -f
Of het is niet geinstalleerd.
./ altijd proberen indien commando niet wordt gevonden.

Offline Al Bunty

  • Lid
  • Steunpunt: Nee
Re: Kan geen extra stuurprogramma inschakelen
« Reactie #17 Gepost op: 2012/03/14, 18:38:17 »
Ik heb dit gedaan binnen 10.04.4 om de driver voor ATI HD6320 te krijgen, maar  ik kan niet eens de goede resolutie instellen...

Toen 12.04 daily built gedaan en die pakt WEL meteen de goede resolutie (de opensource driver is dat lijkt me).

Bij stuurprogramma's staat nu wel het closed source fglrx (whats in a name...) programma, in twee versies, de gewone en die met de post release updates. De laatste wil niet installeren, de eerste wel.

Hoe ik het hand matig had moeten installeren via de driver van de ATI site, ik had het niet gekund....
Gelukkig dat dit werkt voor AMD Fusion E450/HD6320.
« Laatst bewerkt op: 2012/03/16, 03:22:51 door Al Bunty »
Intel P35, Q9450, 4GB RAM, GTX760, Dell 25" IPS, dual boot Ubuntu 16.04/Windows 10 === Intel G41, Q8400, 8GB RAM, Dell 24" IPS, Ubuntu 16.04 === HP Pavillion DM1 4000sd, 11.6", Windows 7 === Asus Vivobook R510CA, 15.6"touchscreen, Windows 10